<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_1</title>
</head>
<body>
    <h1>Ejercicio 1</h1>
    <script>
    /*1) Programa una función que cuente el número de caracteres de una 
    cadena de texto, pe. miFuncion("Hola Mundo") devolverá 10.*/

    /*const cuentaCaract = (cadena = "") => {
        if (!cadena) {
            console.warn("No se ingrso una cadena de texto");
        } else {
            let numCarac = cadena.length;
            console.log(`El numero de caracteres de la cadena ${cadena} es: ${numCarac} caracteres`);
        }         
    }*/

    const cuentaCaract = (cadena = "") =>
    (!cadena) 
      ?console.warn("No se ingreso una cadena de texto")
      :console.log(`El numero de caracteres de la cadena "${cadena}" es: ${cadena.length}`);     


    cuentaCaract("hola mundo");

    </script>
    
</body>
</html>